Download an OpenData product

circle-exclamation

API test authentication

Returns a list of downloads for a specific OpenData product, or redirects to the actual download if requested.

get
Path parameters
productIdstringRequired

The id of the product.

Query parameters
fileNamestringOptional

Filter the list of downloads to only include those with this file name.

formatstringOptional

Filter the list of downloads to only include those with this format.

subformatstringOptional

Filter the list of downloads to only include those with this subformat.

areastring · enumOptional

This describes the geographical area that a download covers. GB is all of Great Britain, while codes like 'HP' cover National Grid Reference squares.

Possible values:
redirectbooleanOptional

When included, if the selected downloads list contains exactly one download, redirect to the download location.

Responses
chevron-right
200

Successful response.

application/json

Information about a specific download file that is made available through this API.

urlstring · uriRequired

Getting this URL will return a HTTP redirect to the actual data.

fileNamestringRequired

The name of the file.

Example: data.zip
sizeintegerOptional

The file size, in bytes.

Example: 1234
md5stringOptional

A MD5 checksum of the file data. This can be used to verify the integrity of the data once you have downloaded it.

Example: 2f9dd13abd56140afa3b5621e8864f59
areastring · enumRequired

This describes the geographical area that a download covers. GB is all of Great Britain, while codes like 'HP' cover National Grid Reference squares.

Possible values:
formatstringRequired

This describes the format of the data.

Example: GML
subformatstringOptional

This describes the subformat of the data.

Example: 3
get
/products/{productId}/downloads

Last updated

Was this helpful?